# Yahoo! UI Library

### autocomplete 3.3.0

Yahoo! UI Library > autocomplete > AutoCompleteFilters
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class AutoCompleteFilters

Provides pre-built result matching filters for AutoComplete.

### Methods

#### charMatch

`static Array charMatch ( query , results )`
Returns an array of results that contain all of the characters in the query, in any order (not necessarily consecutive). Case-insensitive.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### charMatchCase

`static Array charMatchCase ( query , results )`
Case-sensitive version of `charMatch()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### charMatchFold

`static Array charMatchFold ( query , results )`
Accent folding version of `charMatch()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### phraseMatch

`static Array phraseMatch ( query , results )`
Returns an array of results that contain the complete query as a phrase. Case-insensitive.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### phraseMatchCase

`static Array phraseMatchCase ( query , results )`
Case-sensitive version of `phraseMatch()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### phraseMatchFold

`static Array phraseMatchFold ( query , results )`
Accent folding version of `phraseMatch()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### startsWith

`static Array startsWith ( query , results )`
Returns an array of results that start with the complete query as a phrase. Case-insensitive.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### startsWithCase

`static Array startsWithCase ( query , results )`
Case-sensitive version of `startsWith()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### startsWithFold

`static Array startsWithFold ( query , results )`
Accent folding version of `startsWithFold()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### wordMatch

`static Array wordMatch ( query , results )`
Returns an array of results that contain all of the words in the query, in any order. Non-word characters like whitespace and certain punctuation are ignored. Case-insensitive.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### wordMatchCase

`static Array wordMatchCase ( query , results )`
Case-sensitive version of `wordMatch()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

#### wordMatchFold

`static Array wordMatchFold ( query , results )`
Accent folding version of `wordMatchFold()`.

Parameters:
  `query <String>` Query to match
  `results <Array>` Results to filter

Returns: `Array`
  Filtered results

Copyright © 2011 Yahoo! Inc. All rights reserved.